- Qt 6.4
- Qt Positioning
- QML Types
- geopath
- Qt 6.4.2 Reference Documentation

# geopath QML Basic Type

The geopath type represents a geographic path. More...

The `geopath` type is a geoshape that represents a geographic path. It is a direct representation of a QGeoPath and is defined in terms of a path which holds the list of geo coordinates in the path.

The path is considered invalid if it is empty.

When integrating with C++, note that any QGeoPath value passed into QML from C++ is automatically converted into a `geopath` value, and vice versa.

## Properties

### path

This property holds the list of coordinates defining the path.

### width

This property holds the width of the path in meters. This is currently only used when calling the contains() method.

The default value for the width is 0.